Rental API
The Rental API is designed to facilitate seamless integration between the IrisX platform and any Enterprise Resource Planning (ERP) system. Building an ERP integration enables your organizations to streamline data flow, enhance operational efficiency, and ensure real-time access to critical business information. Specifically use this API for data synchronization, so that data between IrisX and ERP systems gets automatically synchronized to maintain up-to-date information across platforms.
The Rental ERP API is only available to customers on IrisX. Learn more about the IrisX subscription
Concepts
The ERP integrations are built on the following concepts
- Asset is a trackable piece of equipment e.g. a machine or an accessory.
- Contract item is an entry in a contract that contains information about when an asset is rented out to a customer.
- Contract is linked to a customer and therefore it connects an asset to a customer.
- Customer is the customer of the business that can rent (and therefore get access to) an asset (see the Customer API).
💡 Learn more in our ERP Integration Guide
Get a detailed overview of the Trackunit Rental Data Model in our guide and plan your implementation.

Extending the Data Model
Custom fields provide a way to define new fields in the Trackunit data model. Allowing to extend and customize Trackunit Manager. Currently we support extending the data model of assets, accounts, groups, sites, customers and rental contracts with new fields. Learn more in the Custom Fields API -Introduction.
Constraints
Asset ownership. Only assets owned by the authenticated account can be synchronized with data from the ERP system. Ownership is determined by the asset's ownerAccountId, which you can read via the Asset API.
If your account belongs to an organization, ownership follows the account hierarchy:
- The organization owner account can synchronize assets owned by any account in the organization.
- A child / sub-account can only synchronize assets it owns directly — it cannot synchronize assets owned by its parent or sibling accounts, even if it can read those assets through the Asset API.
If the authenticated account does not own the asset, POST /v1/synchronization with X-Validate-Asset-Exists: true returns 404 with the error code asset_not_found. (With the header unset or set to false the request returns 202 Accepted, but the data is stored unlinked and will not link until an owned asset matches.) To resolve this, authenticate as the account that owns the asset, or as the organization owner.
externalReference represents an identifier from the ERP system and has to be unique.